<!-- Copyright - Jesus Lara <jesuslara@gmail.com> -->
<!-- Venezuela - 2010 -->
<!-- This script is license under GNU GPL v.3 -->
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<xsl:transform version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:str="http://exslt.org/strings"
                xmlns:exsl="http://exslt.org/common"
		xmlns:math="http://exslt.org/math"
		xmlns:func="http://exslt.org/functions"
                extension-element-prefixes="exsl str func"
                xmlns:dia="http://www.daa.com.au/~james/dia-shape-ns"
   		xmlns:svg="http://www.w3.org/2000/svg"
   		xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
                xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
                xmlns="http://www.daa.com.au/~james/dia-shape-ns"
                >
  <xsl:output method="xml" omit-xml-declaration="no" indent="yes" />
  <xsl:strip-space elements="*" />

  <xsl:template match="/">
    <shape xmlns="http://www.daa.com.au/~james/dia-shape-ns" xmlns:svg="http://www.w3.org/2000/svg">

<!-- Relativo al nombre del objeto -->
      <xsl:variable name="nombre" select="//*[@id='nombre']"/>
      <name><xsl:value-of select="$nombre"/></name>
      <icon><xsl:value-of select="$nombre"/>.png</icon>

<!-- Conexiones en Dia -->
      <connections>
	<point x="0" y="0"/>
	<point x="0" y="25.5"/>
	<point x="25.5" y="0"/>
	<point x="25.5" y="25.5" main="yes"/>
      </connections>

<!-- Caja de texto -->
	<textbox x1="-1" y1="3.1" x2="2" y2="3.9" align="center" resize="no"/>
      <aspectratio type="fixed"/>
      <xsl:apply-templates select="svg|svg:svg"/>
    </shape>
  </xsl:template>

  <!-- ignore defs -->
  <xsl:template match="svg/defs|svg:svg/svg:defs"/>
  <xsl:template match="svg:title"/>
  <xsl:template match="svg/text|svg:svg/svg:text"/>

  <xsl:template match="svg/g[@id='shape']">
    <xsl:apply-templates select="*"/>
  </xsl:template>

  <xsl:template match="*[name()='text' and @id='textbox']"/>

  <xsl:template match="svg">
    <xsl:element name="svg:svg" namespace="http://www.w3.org/2000/svg">
      <xsl:apply-templates select="@*"/>
      <xsl:apply-templates select="node()"/>
    </xsl:element>
  </xsl:template>

  <xsl:template match="@*">
    <xsl:copy select="."/>
  </xsl:template>  

<!-- Cambiar las tags svg a un namespace svg -->
  <xsl:template match="*">
    <xsl:element name="{concat('svg:',local-name())}">
      <xsl:apply-templates select="@*"/>
      <xsl:apply-templates select="node()"/>
    </xsl:element>
  </xsl:template>
</xsl:transform>